## com.gargoylesoftware.htmlunit
Class IncorrectnessListenerImpl

    java.lang.Object
      com.gargoylesoftware.htmlunit.IncorrectnessListenerImpl

All Implemented Interfaces:
  IncorrectnessListener, java.io.Serializable

    public class IncorrectnessListenerImpl

extends java.lang.Object
implements IncorrectnessListener, java.io.Serializable

Default implementation of `IncorrectnessListener` configured on `WebClient`. Logs the notifications at WARN level to the originator's log.

Version:
  $Revision: 4789 $
Author:
  Marc Guillemot, Ahmed Ashour
See Also:
  Serialized Form

Constructor Summary
`IncorrectnessListenerImpl()`

Method Summary
`void` `notify(java.lang.String message, java.lang.Object origin)` Called to notify an incorrectness.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### IncorrectnessListenerImpl

    public IncorrectnessListenerImpl()

Method Detail

### notify

    public void notify(java.lang.String message,
                       java.lang.Object origin)

  Called to notify an incorrectness.

  Specified by:
    `notify` in interface `IncorrectnessListener`
  Parameters:
    `message` - the explanation of the incorrectness
    `origin` - the object that encountered this incorrectness

Copyright © 2002-2011 Gargoyle Software Inc.. All Rights Reserved.